Bug 428957 - Elisa constantly emitting org.mpris.MediaPlayer2.Player.Seeked
Summary: Elisa constantly emitting org.mpris.MediaPlayer2.Player.Seeked
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-11 09:48 UTC by David Redondo
Modified: 2020-12-07 15:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.12.1


Attachments
Screenshot of bustle (77.57 KB, image/png)
2020-11-11 09:55 UTC, David Redondo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Redondo 2020-11-11 09:48:16 UTC
SUMMARY
While playing music, elisa is constantly emitting org.mpris.MediaPlayer2.Player.Seeked

EXPECTED RESULT
The spec says 

Seeked
[...]

 Indicates that the track position has changed in a way that is inconsistant with the current playing state.

When this signal is not received, clients should assume that:

    When playing, the position progresses according to the rate property.
    When paused, it remains constant.
Comment 1 David Redondo 2020-11-11 09:55:05 UTC
Created attachment 133220 [details]
Screenshot of bustle
Comment 2 Matthieu Gallien 2020-11-11 12:01:52 UTC
Thanks for the report.

I thought that was fixed. I will have a look during the next days.
Comment 3 Nate Graham 2020-11-29 15:08:08 UTC
Git commit b7e2590f5d8dc83ec4cdc06358cfc6e5b0b1e1bc by Nate Graham, on behalf of Sophie Kums.
Committed on 29/11/2020 at 15:07.
Pushed by ngraham into branch 'release/20.12'.

call Q_EMIT Seeked less frequently to reduce MPRIS spamming

M  +2    -2    src/mpris2/mediaplayer2player.cpp

https://invent.kde.org/multimedia/elisa/commit/b7e2590f5d8dc83ec4cdc06358cfc6e5b0b1e1bc
Comment 4 Nate Graham 2020-11-29 15:11:30 UTC
Is there anything left to do here?
Comment 5 David Redondo 2020-11-30 08:18:32 UTC
Yes, optimally we would only emit Seeked if the playback position is manually changed and not during normal playback, see the quoted spec.
Comment 6 Matthieu Gallien 2020-12-07 15:00:33 UTC
Git commit 8315d92e3add2e6f8db0b0f6bccfb1f98c0f9515 by Matthieu Gallien.
Committed on 05/12/2020 at 17:34.
Pushed by ngraham into branch 'release/20.12'.

emit Seeked on MPRIS2 interface when player really seeked

M  +7    -2    src/mpris2/mediaplayer2player.cpp
M  +2    -0    src/mpris2/mediaplayer2player.h
M  +1    -1    src/qml/ElisaMainWindow.qml

https://invent.kde.org/multimedia/elisa/commit/8315d92e3add2e6f8db0b0f6bccfb1f98c0f9515